# Copyright 2021 Agnostiq Inc.
#
# This file is part of Covalent.
#
# Licensed under the Apache License 2.0 (the "License"). A copy of the
# License may be obtained with this software package or at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Use of this file is prohibited except in compliance with the License.
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Remove deprecated cols

Revision ID: 7b40a55c0752
Revises: 3727163f275c
Create Date: 2025-02-14 09:26:45.351553

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
# pragma: allowlist nextline secret
revision = "7b40a55c0752"
# pragma: allowlist nextline secret
down_revision = "3727163f275c"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("lattices", schema=None) as batch_op:
        batch_op.drop_column("lattice_imports_filename")
        batch_op.drop_column("cova_imports_filename")
        batch_op.drop_column("named_kwargs_filename")
        batch_op.drop_column("named_args_filename")
    with op.batch_alter_table("electrons", schema=None) as batch_op:
        batch_op.drop_column("qelectron_data_exists")

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("lattices", schema=None) as batch_op:
        batch_op.add_column(sa.Column("named_args_filename", sa.TEXT(), nullable=True))
        batch_op.add_column(sa.Column("named_kwargs_filename", sa.TEXT(), nullable=True))
        batch_op.add_column(sa.Column("cova_imports_filename", sa.TEXT(), nullable=True))
        batch_op.add_column(sa.Column("lattice_imports_filename", sa.TEXT(), nullable=True))
    with op.batch_alter_table("electrons", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column(
                "qelectron_data_exists", sa.BOOLEAN(), server_default=sa.text("0"), nullable=False
            )
        )

    # ### end Alembic commands ###
